# Uses of Interface
org.eclipse.mat.collect.IteratorLong

Packages that use IteratorLong
Package
Description
org.eclipse.mat.collect
Collections optimized for keys and values of ints and longs.
org.eclipse.mat.parser.index
Implementations for handling indexes.

## Uses of IteratorLong in org.eclipse.mat.collect

Methods in org.eclipse.mat.collect that return IteratorLong
Modifier and Type
Method
Description
`IteratorLong`
ArrayLong.`iterator()`
get an iterator to go through the list
`IteratorLong`
SetLong.`iterator()`
get an iterator to go through the set
`IteratorLong`
HashMapLongObject.`keys()`
Get a way of iterating over the keys
`IteratorLong`
HashMapIntLong.`values()`
Get a way of iterating over the values.
`IteratorLong`
HashMapObjectLong.`values()`
Get a way of iterating over the values.

## Uses of IteratorLong in org.eclipse.mat.parser.index

Methods in org.eclipse.mat.parser.index that return IteratorLong
Modifier and Type
Method
Description
`IteratorLong`
IndexWriter.Identifier.`iterator()`
Iterate through the object addresses.
Methods in org.eclipse.mat.parser.index with parameters of type IteratorLong
Modifier and Type
Method
Description
`void`
IndexWriter.LongIndexStreamer.`addAll(IteratorLong iterator)`
`IIndexReader.IOne2LongIndex`
IndexWriter.LongIndexStreamer.`writeTo(File indexFile, IteratorLong iterator)`
Output a whole long iterator